From: =?utf-8?q?St=C3=A9phane_Glondu?= <glondu@debian.org>
Date: Fri, 3 Dec 2021 07:59:18 +0000
Subject: Define _POSIX_C_SOURCE in entropy_cpu_stubs.c

Without it, clock_gettime is undefined on (at least) armhf, causing a
compilation failure.

Forwarded: https://github.com/mirage/mirage-crypto/pull/148
---
 src/native/entropy_cpu_stubs.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/native/entropy_cpu_stubs.c b/src/native/entropy_cpu_stubs.c
index 8c63c33..174e6a9 100644
--- a/src/native/entropy_cpu_stubs.c
+++ b/src/native/entropy_cpu_stubs.c
@@ -2,6 +2,8 @@
  * Copyright (c) 2015-2016 David Kaloper Meršinjak
  */
 
+#define _POSIX_C_SOURCE 199309L
+
 #include <caml/mlvalues.h>
 
 #include "mirage_crypto.h"
